std::ctype::scan_is,std::ctype::do_scan_is(3)

NAME
std::ctype::scan_is,std::ctype::do_scan_is - std::ctype::scan_is,std::ctype::do_scan_is

Synopsis
   Defined in header <locale>
   public: (1)
   const CharT* scan_is( mask m, const CharT* beg, const CharT* end ) const;
   protected:
   virtual const CharT* do_scan_is( mask m, const CharT* beg, const CharT* end) (2)
   const;
   1) public member function, calls the protected virtual member function do_scan_is of
   the most derived class.
   2) Locates the first character in the character array [beg, end) that satisfies the
   classification mask m, that is, the first character c such that is(m, c) would
   return true.

Parameters
   m - mask to search for
   beg - pointer to the first character in an array of characters to search
   end - one past the end pointer for the array of characters to search

Return value
   Pointer to the first character in [beg, end) that satisfies the mask, or end if no
   such character was found.

Example
// Run this code
 #include <locale>
 #include <clocale>
 #include <iostream>
 #include <iterator>
 int main()
 {
     std::setlocale(LC_ALL, "en_US.utf8");
     std::wcout.imbue(std::locale("en_US.utf8"));
     auto& f = std::use_facet<std::ctype<wchar_t>>(std::wcout.getloc());
     // skip until the first letter
     wchar_t s1[] = L" \t\t\n Кошка";
     const wchar_t* p1 = f.scan_is(std::ctype_base::alpha, std::begin(s1), std::end(s1));
     std::wcout << "'" << p1 << "'\n";
     // skip until the first letter
     wchar_t s2[] = L"123456789ネプネプ";
     const wchar_t* p2 = f.scan_is(std::ctype_base::alpha, std::begin(s2), std::end(s2));
     std::wcout << "'" << p2 << "'\n";
 }

Output:
 'Кошка'
 'ネプネプ'

See also
               locates the first character in a sequence that conforms to given
   scan_is classification, using the classification table
               (public member function of std::ctype<char>)
   do_scan_not locates the first character in a sequence that fails given
   [virtual] classification
               (virtual protected member function)